Subject: bug#11476: 23.1; which-func-cleanup-function call and documentation mismatch

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Feb 2014 16:52:51 -0800

Glenn Morris <[email-masked]> writes:

> Jack Duthen wrote:
>
>> emacs -Q
>> open any emacs-lisp file and move point inside any function
>> M-x imenu-add-menubar-index
>> M-x which-func-mode
>> M-:
>> (defun jd-test-which-func-cleanup-function (fun-name)
>>   (message "Type of fun-name '%s' is %s" fun-name (type-of fun-name))
>>   (when (consp fun-name)
>>     (message "Type of (car fun-name) '%s' is %s" (car fun-name)
>> (type-of (car fun-name))))
>>   (setq jd-ielm-fun-name fun-name)          ; to explore it using ielm
>>   fun-name)
>> M-: (setq which-func-cleanup-function 'jd-test-which-func-cleanup-function)
>
> I cannot reproduce a problem with this, in either 23.1 or current trunk.
> The type remains resolutely a string, never a cons. If it were not a
> string, I would think that the which-function mode line would break.

More information was requested a year ago, but no further progress seems
to have been made.  I'm closing this bug report now, but if this problem
still persists, please reopen it.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/